module FeedBurner
  module Configurable
    attr_accessor :api_key

    def configure
      yield self
      validate_key_type!
    end

    private

    def validate_key_type!
      if !api_key.nil?
        unless api_key.is_a?(String) || api_key.is_a?(Symbol)
          raise ArgumentError, "Invalid api_key specified: #{api_key} must be a string or symbol."
        end
      end
    end
  end
end
